import { registerExtension } from '@codingame/monaco-vscode-api/extensions';

var manifest = {name:"theme-monokai",displayName:"%displayName%",description:"%description%",version:"1.0.0",publisher:"vscode",license:"MIT",engines:{vscode:"*"},categories:["Themes"],contributes:{themes:[{id:"Monokai",label:"%themeLabel%",uiTheme:"vs-dark",path:"./themes/monokai-color-theme.json"}]},repository:{type:"git",url:"https://github.com/microsoft/vscode.git"},main:undefined};

const { registerFileUrl, whenReady } = registerExtension(manifest, undefined, {"system":true});
registerFileUrl('./themes/monokai-color-theme.json', new URL('./resources/monokai-color-theme.json', import.meta.url).toString(), {"mimeType":"application/json","size":8872});
registerFileUrl('package.json', new URL('./resources/package.json', import.meta.url).toString(), {"mimeType":"application/json","size":394});
registerFileUrl('package.nls.json', new URL('./resources/package.nls.json', import.meta.url).toString(), {"mimeType":"application/json","size":107});

export { whenReady };
